/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: log.h,v 1.3 2000/12/29 21:02:37 peter Exp $

 */

#ifndef log_h
#define log_h

#define MAX_FILE_NAME_LENGTH   128
#define MAX_DATE_FORMAT_LENGTH 50

#define LOGDATE "%d/%m/%Y %H:%M:%S"

typedef struct {
  char filename[MAX_FILE_NAME_LENGTH];
  char dateformat[MAX_DATE_FORMAT_LENGTH];
} LOGF;

LOGF *log_init(const char *filename, const char *dateformat);
void log(LOGF *log, const char *format, ...);

extern LOGF *usage, *debug, *bug, *idea, *typo;

#endif
