/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: plugin.h,v 1.3 2000/12/29 21:09:15 peter Exp $

 */

#ifndef plugin_h
#define plugin_h

#ifdef USE_PLUGINS

#define PLUGINDIR "./plugins/"

typedef void * PLUGIN;

/* --- dynamic linking functions */
/* return null on failure */
PLUGIN *plugin_open(const char *);
void *plugin_get_symbol(PLUGIN *, char *);
/* return 0 for success, non zero for failure */
int plugin_close(PLUGIN *);

/* --- directory functions */
int open_plugin_dir(void);
int close_plugin_dir(void);

const char *next_plugin(void);

#endif /* USE_PLUGINS */
#endif /* plugin_h */
